OutputStreamWriter Class Reference

Abstract class for writing to character streams. More...

Inherits Writer.

## Public Member Functions

| OutputStreamWriter (OutputStreamPtr &out)
| OutputStreamWriter (OutputStreamPtr &out, CharsetEncoderPtr &enc)
| ~OutputStreamWriter ()
virtual void | close (Pool &p)
virtual void | flush (Pool &p)
virtual void | write (const LogString &str, Pool &p)
LogString | getEncoding () const

## Additional Inherited Members

Static Public Member Functions inherited from Object
static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()
Protected Member Functions inherited from Writer
| Writer ()
virtual | ~Writer ()
Protected Attributes inherited from ObjectImpl
unsigned int volatile | ref

## Detailed Description

Abstract class for writing to character streams.

## Constructor & Destructor Documentation

OutputStreamWriter | ( | OutputStreamPtr & | out | ) |

OutputStreamWriter | ( | OutputStreamPtr & | out,
|  | CharsetEncoderPtr & | enc
| ) |  |

~OutputStreamWriter | ( |  | ) |

## Member Function Documentation

virtual void close | ( | Pool & | p | ) |

virtual

Implements Writer.

virtual void flush | ( | Pool & | p | ) |

virtual

Implements Writer.

LogString getEncoding | ( |  | ) | const

virtual void write | ( | const LogString & | str,
|  | Pool & | p
| ) |  |

virtual

Implements Writer.

The documentation for this class was generated from the following file:

- outputstreamwriter.h